Bug 1367572 - improve error message in ipa migrate-ds: mention ipa config-mod --enable-migration=TRUE
Summary: improve error message in ipa migrate-ds: mention ipa config-mod --enable-migr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Nikhil Dehadrai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 20:08 UTC by Arpit Tolani
Modified: 2017-08-01 09:39 UTC (History)
5 users (show)

Fixed In Version: ipa-4.5.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:39:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Arpit Tolani 2016-08-16 20:08:09 UTC
Description of problem:
ipa help config-mod doesnt have all options documented

While trying to do ipa migrate-ds, It fails with an error.

# ipa migrate-ds ldap://rhds9-1.gsslab.pnq.redhat.com:389
Password: 
-----------
migrate-ds:
-----------
Migration mode is disabled. Use 'ipa config-mod' to enable it.

but ipa config-mod doesnt have any documentation about Migration option.

# ipa help config-mod |grep -i migrate
-- No Output --

Below commands works well, but this option should be documented.
# ipa config-mod --enable-migration=TRUE


Additional info:
It is properly documented in https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Linux_Domain_Identity_Authentication_and_Policy_Guide/Migrating_from_a_Directory_Server_to_IPA-Performing_a_Client_based_Migration.html

I think it should be documented in help page of ipa config-mod

Comment 2 Petr Spacek 2016-08-22 06:42:07 UTC
The grep was incorrect in the first place but we should improve the error message as well:
It should mention "ipa config-mod --enable-migration=TRUE".

Comment 3 Petr Spacek 2016-08-22 06:46:19 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/6234

Comment 4 Martin Bašti 2016-08-22 16:01:07 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/0f4df2f03df09ebced37ff0dd49d489782b85d73

Comment 6 Nikhil Dehadrai 2017-06-02 11:44:18 UTC
ipa-version: ipa-server-4.5.0-13.el7.x86_64

Verified that on running following command we can get information for migration task:

#ipa help config-mod 

--enable-migration=BOOL  Enable migration mode

Thus marking the status of bug to "VERIFIED".

Comment 7 errata-xmlrpc 2017-08-01 09:39:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.